pcl::SampleConsensusModelFromNormals< PointT, PointNT > Class Template Reference

SampleConsensusModelFromNormals represents the base model class for models that require the use of surface normals for estimation. More...

`#include <pcl/sample_consensus/sac_model.h>`

Inheritance diagram for pcl::SampleConsensusModelFromNormals< PointT, PointNT >:

## Public Types

typedef pcl::PointCloud< PointNT >::ConstPtr | PointCloudNConstPtr
typedef pcl::PointCloud< PointNT >::Ptr | PointCloudNPtr
typedef boost::shared_ptr< SampleConsensusModelFromNormals > | Ptr
typedef boost::shared_ptr< const SampleConsensusModelFromNormals > | ConstPtr

## Public Member Functions

| SampleConsensusModelFromNormals ()
| Empty constructor for base SampleConsensusModelFromNormals. More...
virtual | ~SampleConsensusModelFromNormals ()
| Destructor. More...
void | setNormalDistanceWeight (const double w)
| Set the normal angular distance weight. More...
double | getNormalDistanceWeight ()
| Get the normal angular distance weight. More...
void | setInputNormals (const PointCloudNConstPtr &normals)
| Provide a pointer to the input dataset that contains the point normals of the XYZ dataset. More...
PointCloudNConstPtr | getInputNormals ()
| Get a pointer to the normals of the input XYZ point cloud dataset. More...

## Protected Attributes

double | normal_distance_weight_
| The relative weight (between 0 and 1) to give to the angular distance (0 to pi/2) between point normals and the plane normal. More...
PointCloudNConstPtr | normals_
| A pointer to the input dataset that contains the point normals of the XYZ dataset. More...

## Detailed Description

### template<typename PointT, typename PointNT>
class pcl::SampleConsensusModelFromNormals< PointT, PointNT >

SampleConsensusModelFromNormals represents the base model class for models that require the use of surface normals for estimation.

Definition at line 557 of file sac_model.h.

## Member Typedef Documentation

template<typename PointT, typename PointNT>

typedef boost::shared_ptr<const SampleConsensusModelFromNormals> pcl::SampleConsensusModelFromNormals< PointT, PointNT >::ConstPtr

Definition at line 564 of file sac_model.h.

template<typename PointT, typename PointNT>

typedef pcl::PointCloud<PointNT>::ConstPtr pcl::SampleConsensusModelFromNormals< PointT, PointNT >::PointCloudNConstPtr

Definition at line 560 of file sac_model.h.

template<typename PointT, typename PointNT>

typedef pcl::PointCloud<PointNT>::Ptr pcl::SampleConsensusModelFromNormals< PointT, PointNT >::PointCloudNPtr

Definition at line 561 of file sac_model.h.

template<typename PointT, typename PointNT>

typedef boost::shared_ptr<SampleConsensusModelFromNormals> pcl::SampleConsensusModelFromNormals< PointT, PointNT >::Ptr

Definition at line 563 of file sac_model.h.

## Constructor & Destructor Documentation

template<typename PointT, typename PointNT>

pcl::SampleConsensusModelFromNormals< PointT, PointNT >::SampleConsensusModelFromNormals | ( |  | ) |

inline

Empty constructor for base SampleConsensusModelFromNormals.

Definition at line 567 of file sac_model.h.

template<typename PointT, typename PointNT>

virtual pcl::SampleConsensusModelFromNormals< PointT, PointNT >::~SampleConsensusModelFromNormals | ( |  | ) |

inline virtual

Destructor.

Definition at line 570 of file sac_model.h.

## Member Function Documentation

template<typename PointT, typename PointNT>

PointCloudNConstPtr pcl::SampleConsensusModelFromNormals< PointT, PointNT >::getInputNormals | ( |  | ) |

inline

Get a pointer to the normals of the input XYZ point cloud dataset.

Definition at line 600 of file sac_model.h.

template<typename PointT, typename PointNT>

double pcl::SampleConsensusModelFromNormals< PointT, PointNT >::getNormalDistanceWeight | ( |  | ) |

inline

Get the normal angular distance weight.

Definition at line 585 of file sac_model.h.

Referenced by pcl::SACSegmentationFromNormals< PointT, PointNT >::initSACModel().

template<typename PointT, typename PointNT>

void pcl::SampleConsensusModelFromNormals< PointT, PointNT >::setInputNormals | ( | const PointCloudNConstPtr & | normals | ) |

inline

Provide a pointer to the input dataset that contains the point normals of the XYZ dataset.

Parameters

  [in] | normals | the const boost shared pointer to a PointCloud message

Definition at line 593 of file sac_model.h.

Referenced by pcl::SACSegmentationFromNormals< PointT, PointNT >::initSACModel().

template<typename PointT, typename PointNT>

void pcl::SampleConsensusModelFromNormals< PointT, PointNT >::setNormalDistanceWeight | ( | const double | w | ) |

inline

Set the normal angular distance weight.

Parameters

  [in] | w | the relative weight (between 0 and 1) to give to the angular distance (0 to pi/2) between point normals and the plane normal. (The Euclidean distance will have weight 1-w.)

Definition at line 578 of file sac_model.h.

Referenced by pcl::SACSegmentationFromNormals< PointT, PointNT >::initSACModel().

## Member Data Documentation

template<typename PointT, typename PointNT>

double pcl::SampleConsensusModelFromNormals< PointT, PointNT >::normal_distance_weight_

protected

The relative weight (between 0 and 1) to give to the angular distance (0 to pi/2) between point normals and the plane normal.

Definition at line 606 of file sac_model.h.

template<typename PointT, typename PointNT>

PointCloudNConstPtr pcl::SampleConsensusModelFromNormals< PointT, PointNT >::normals_

protected

A pointer to the input dataset that contains the point normals of the XYZ dataset.

Definition at line 611 of file sac_model.h.

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/sample_consensus/include/pcl/sample_consensus/sac_model.h